ChartDirector Ver 4.1 (PHP Edition Edition)

WebChartViewer.getCustomAttr

Usage

getCustomAttr(key)

Description

Gets a custom attribute.
The WebChartViewer does not interpret or use custom attributes. It merely receives them from the browser side JsChartViewer control. On the browser side, these attributes are set using JsChartViewer.setCustomAttr.
Custom attributes are useful for transferring application specific information between the server and the browser during partial chart updates (AJAX requests).
For example, one one can use custom attributes to update the states of the HTML controls on the browser side during partial chart updates. (For non-AJAX requests, the server can always update the web page directly.)
Both the key and value of a custom attribute should be text strings. The key should be a valid variable name, that is, it should start with A-Z, a-z or underscore, and consists entirely of alphanumeric characters with no spaces.

Arguments

Argument | Default | Description
--- | --- | ---
key | (Mandatory) | The attribute key.

Return Value

The value of the required attribute.

© 2006 Advanced Software Engineering Limited. All rights reserved.